By using this site, you agree to our Privacy Policy and our Terms of Use. Close

Forums - Website Topics - Chrome Unsafe site warning on VGC

Chrome is now giving me an "Unsafe Site" warning for VGChartz. The error message said that your security certification expired within the last day:

This server could not prove that it is gamrconnect.vgchartz.com; its security certificate expired in the last day. This may be caused by a misconfiguration or an attacker intercepting your connection. Your computer's clock is currently set to Wednesday, September 15, 2021. Does that look right? If not, you should correct your system's clock and then refresh this page.


Around the Network

Same on Firefox



Bite my shiny metal cockpit!

Same for me, which is weird.
The only unsafe thing on this site is the amount of people who like FFX. That is whack.



Safari says that HTTPS certificate expired a bit less than 1 hour ago. Actually. it's up to admins to issue a new certificate otherwise this warning will be shown



 

Dammit. I could have sworn I paid that bill.



Around the Network

Looks like someone on vgchartz let their certificate lapse lol



Same happened to me (using Chrome too)



Should be fixed now, thanks to @jlauro 



Machina said:

Should be fixed now, thanks to @jlauro 

Yeah, no alert for me



Jpcc86 said:

Same for me, which is weird.
The only unsafe thing on this site is the amount of people who like FFX. That is whack.

To be fair. Series stopped being great post PS1 era. IX is the last great game in the series. That said yes I agree X sucks.



Bite my shiny metal cockpit!